/*  SVGATextMode -- An SVGA textmode manipulation/enhancement tool
 *
 *  Copyright (C) 1995  Koen Gadeyne
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


/***
 *** run_extprog.c: function to call on external program.
 *** (c) 1995 Koen Gadeyne (kmg@barco.be)
 ***
 ***/
 
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "misc.h"
#include "run_extprog.h"
#include "messages.h"


int Run_extern_Prog(char *commandline)
{
  int result=0;

  PDEBUG(("Executing external command '%s'", commandline));
  result=system(commandline);
  if (result !=0)
  {
    perror(commandline);
    PERROR(("'%s' failed with error code %d", commandline, result));
  }
  return(result);
}
